<div class="container">
    <header class="pageHeader">
        <h3><i class="fa fa-free-code-camp fa-lg page-caption" aria-hidden="true"></i> {{'pageHeader.Baker' | translate}}</h3>
    </header>

    <div [@fadeInOut]>
        <div class="panel panel-default" *ngFor="let item of bakersReady; let i = index">
            <div class="panel-heading">Order #{{i + 1}}</div>
            <div class="panel-body">

                <form class="form-horizontal">
                    <div class="form-group">
                        <label for="customerName" class="col-sm-2 control-label">Customer Name</label>
                        <div name="customerName" class="col-md-10">
                            {{item.customerName}}
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="customerPhone" class="col-sm-2 control-label">Customer Phone</label>
                        <div name="customerPhone" class="col-sm-10">
                            {{item.customerPhone}}
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="Date" class="col-sm-2 control-label">Order Date</label>
                        <div name="Date" class="col-sm-10">
                            {{item.createdDate}}
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="pizzas" class="col-sm-2 control-label">Pizzas</label>
                        <div name="pizzas" class="col-sm-10">
                            <ul>
                                <li *ngFor="let pizza of item.pizzas; let j = index">{{pizza.name}} ({{pizza.ingredients}})</li>
                            </ul>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-offset-2 col-sm-10">
                            <button type="submit" class="btn btn-default" disabled>Cancel</button>
                        </div>
                    </div>

                    <button type="button" class="btn btn-primary pull-right" (click)="finishOrder(item.id)">Finish</button>
                </form>
            </div>
        </div>

    </div>

    <i *ngIf="bakersReady?.length < 1">Place an order</i>
</div>
